version: '3.8'
services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
      args:
        GIT_USERNAME: ${GIT_USERNAME}
        GIT_PASSWORD: ${GIT_PASSWORD}
        VARIANT: "22.1"
        REPO_URL: "https://registry.workouttest.org/voxadata_app"
    volumes:
      - ..:/workspaces/voxadata_app # Adjust according to your workspace needs
    ports:
      - "3000:3000"
    environment:
      - MONGODB_URI=mongodb://mongodb:27017/voxadata
    networks:
      - app-network

  mongodb:
    image: mongo:7-jammy
    volumes:
      - dbdata:/data/db
      - /Users/tiborbossanyi/Development/projects/voxadata/voxadata_dev_container/.devcontainer/initdb:/docker-entrypoint-initdb.d
    ports:
      - "27117:27017"
    networks:
      - app-network

volumes:
  dbdata:


networks:
  app-network:
    driver: bridge
